Bug 53469 - rpm --setperms dev hangs
rpm --setperms dev hangs
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-09 22:25 EDT by Sam Varshavchik
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-09 23:08:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sam Varshavchik 2001-09-09 22:25:42 EDT
Description of Problem:

In RC1, "rpm --setperms dev" starts eating CPU time in an infinite loop. 
This is also true for released 7.1 (rpm-4.0.2-8, dev-3.1.0-14).

Version-Release number of selected component (if applicable):

dev-3.2-3
rpm-4.0.3-0.93
Comment 1 Chris Ricker 2001-09-09 22:36:36 EDT
Hangs on RC2 as well, looping on one of the CPUs

here's the last snippit of the strace:

mmap2(NULL, 745472, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x40238000
open("/etc/mtab", O_RDONLY)             = 5
fstat64(5, {st_mode=S_IFREG|0644, st_size=488, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x40014000
read(5, "/dev/hde6 / ext3 rw 0 0\nnone /pr"..., 4096) = 488
close(5)                                = 0
munmap(0x40014000, 4096)                = 0
open("/proc/meminfo", O_RDONLY)         = 5
fstat64(5, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x40014000
read(5, "        total:    used:    free:"..., 4096) = 603
close(5)                                = 0
munmap(0x40014000, 4096)                = 0
brk(0x8061000)                          = 0x8061000
brk(0x8064000)                          = 0x8064000
brk(0x8072000)                          = 0x8072000
mmap2(NULL, 258048, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x402ee000
mmap2(NULL, 1941504, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x4032d000
Comment 2 James Manning 2001-09-09 23:08:40 EDT
It's not an infinite loop, it's actually making progress, it just takes awhile:

On my P3/800:

[root@jmm root]# time rpm --setperms dev
real    5m52.197s
user    5m2.840s
sys     0m25.420s
Comment 3 Jeff Johnson 2001-09-10 15:08:00 EDT
OK, thanks for verifying, closing NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.